Name: H5Pset_userblock
Signature:
  herr_t `H5Pset_userblock`(hid_t `plist`, hsize_t `size` )
Purpose:
  Sets user block size.
Description:
  `H5Pset_userblock` sets the user block size of a file creation property list. The default user block size is 0; it may be set to any power of 2 equal to 512 or greater (512, 1024, 2048, etc.).
Parameters:

hid_t `plist` | IN: Identifier of property list to modify.
hsize_t `size` | IN: Size of the user-block in bytes.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_userblock_f

      SUBROUTINE h5pset_userblock_f (prp_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER(HSIZE_T), INTENT(IN) :: size  ! Size of the user-block in bytes
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_userblock_f